laforge has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ci/+/27150 )
Change subject: ansible/ansible.cfg: make command output readable
......................................................................
ansible/ansible.cfg: make command output readable
Have a readable output, instead of the default that wraps the output
with stripped new lines inside json.
Related: https://github.com/ansible/ansible/issues/27078#issuecomment-364560173
Change-Id: I88d584a1808d82d75906b350e3bffe9bc73a8c67
---
A ansible/ansible.cfg
1 file changed, 2 insertions(+), 0 deletions(-)
Approvals:
Jenkins Builder: Verified
daniel: Looks good to me, but someone else must approve
fixeria: Looks good to me, but someone else must approve
laforge: Looks good to me, approved
diff --git a/ansible/ansible.cfg b/ansible/ansible.cfg
new file mode 100644
index 0000000..11169e6
--- /dev/null
+++ b/ansible/ansible.cfg
@@ -0,0 +1,2 @@
+[defaults]
+stdout_callback=debug
--
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/27150
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: I88d584a1808d82d75906b350e3bffe9bc73a8c67
Gerrit-Change-Number: 27150
Gerrit-PatchSet: 2
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: daniel <dwillmann(a)sysmocom.de>
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-MessageType: merged
laforge has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ci/+/27149 )
Change subject: lint: catch missing --rm flag for 'docker run'
......................................................................
lint: catch missing --rm flag for 'docker run'
Not having the --rm flag causes docker containers to be stored forever,
so make sure we always add it to the "docker run" commands that we run
on jenkins via scripts in various repositories.
Depends: docker-playground I48b01c43fedf379b8a565eaab0369806d7831bd8
Related: https://osmocom.org/projects/osmocom-servers/wiki/Docker_cache_clean_up
Related: SYS#5827, OS#5099
Change-Id: I8ab9c291504475d670bdefc50c4524c5bdd4c880
---
A lint/docker_run_rm.sh
M lint/lint_diff.sh
2 files changed, 35 insertions(+), 7 deletions(-)
Approvals:
Jenkins Builder: Verified
fixeria: Looks good to me, but someone else must approve
pespin: Looks good to me, but someone else must approve
laforge: Looks good to me, approved
diff --git a/lint/docker_run_rm.sh b/lint/docker_run_rm.sh
new file mode 100755
index 0000000..3d6648e
--- /dev/null
+++ b/lint/docker_run_rm.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+# Verify that "docker run" has a "--rm" in the same line or next line, so we
+# don't fill up space on jenkins nodes with never deleted containers:
+# https://osmocom.org/projects/osmocom-servers/wiki/Docker_cache_clean_up
+
+RET=0
+
+for i in $(git grep -l '^[^#]*docker run'); do
+ if [ -z "$(grep -A1 "docker run" "$i" | grep -- "--rm")" ]; then
+ echo "ERROR: missing --rm after 'docker run' (same line or next line):"
+ grep --color=always -H -n -A1 "docker run" "$i"
+ echo
+ RET=1
+ fi
+done
+
+exit $RET
diff --git a/lint/lint_diff.sh b/lint/lint_diff.sh
index f8daab7..0762f6b 100755
--- a/lint/lint_diff.sh
+++ b/lint/lint_diff.sh
@@ -19,20 +19,31 @@
fi
fi
+ERROR=0
+
+echo "Running docker_run_rm.sh on the whole tree..."
+echo
+if ! "$SCRIPT_DIR"/docker_run_rm.sh; then
+ ERROR=1
+fi
+
echo "Running checkpatch on 'git diff $COMMIT'..."
echo
-if git diff -U0 "$COMMIT" | "$SCRIPT_DIR/checkpatch/checkpatch_osmo.sh" - \
+if ! git diff -U0 "$COMMIT" | "$SCRIPT_DIR/checkpatch/checkpatch_osmo.sh" - \
--color=always \
--mailback \
--show-types \
--showfile \
--terse
then
- exit 0
+ ERROR=1
fi
-echo
-echo "Please fix the linting errors above. More information:"
-echo "https://osmocom.org/projects/cellular-infrastructure/wiki/Linting"
-echo
-exit 1
+
+if [ "$ERROR" = 1 ]; then
+ echo
+ echo "Please fix the linting errors above. More information:"
+ echo "https://osmocom.org/projects/cellular-infrastructure/wiki/Linting"
+ echo
+ exit 1
+fi
--
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/27149
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: I8ab9c291504475d670bdefc50c4524c5bdd4c880
Gerrit-Change-Number: 27149
Gerrit-PatchSet: 2
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: merged
Attention is currently required from: daniel, dexter.
pespin has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/27106 )
Change subject: Add hnbgw tests
......................................................................
Patch Set 4: Code-Review+1
(1 comment)
File library/RUA_Emulation.ttcn:
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/27106/comment/79bbf2e5_e3a6…
PS4, Line 76: type bitstring ContextId length(24); // with { variant "FIELDLENGTH(24)" };
I see lots of commented stuff in this file. Give it a look.
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/27106
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I0a2fb795aec83337eda8d9972e6ff264ead61076
Gerrit-Change-Number: 27106
Gerrit-PatchSet: 4
Gerrit-Owner: daniel <dwillmann(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: daniel <dwillmann(a)sysmocom.de>
Gerrit-Attention: dexter <pmaier(a)sysmocom.de>
Gerrit-Comment-Date: Fri, 11 Feb 2022 15:35:15 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment